QGIS Application - Bug report #15514
Updating an expression in diagram seems to not apply to the map
2016-09-01 09:16 AM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Diagrams

Affected QGIS version:master_2 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23438
Description

Layer's properties > Diagram

build a diagram with some expressions, Apply

Now change one of the expression and hit apply again. No change is done!

You need to delete this expression and add it again or add a new entry (or remove an existing one) to have the "apply" button work as
expected

Associated revisions

Revision 111106c6 - 2016-10-04 08:36 AM - Nyall Dawson

Fix cannot modify diagram attribute expression (fix #15514)

Also clean up some code

Revision 7c46784f - 2016-10-06 01:09 PM - Nyall Dawson

Fix cannot modify diagram attribute expression (fix #15514)

Also clean up some code

(cherry-picked from 111106c64fcf4288617e65fc160a2b6112606cfc)

Revision 4d452181 - 2016-10-06 01:49 PM - Nyall Dawson

Fix cannot modify diagram attribute expression (fix #15514)

Also clean up some code

(cherry-picked from 111106c64fcf4288617e65fc160a2b6112606cfc)

History

#1 - 2016-10-03 11:01 PM - Nyall Dawson
- Assignee set to Nyall Dawson

#2 - 2016-10-03 11:37 PM - Nyall Dawson
- Status changed from Open to Closed
Fixed in changeset commit:"111106c64fcf4288617e65fc160a2b6112606cfc".
